%ifnos darwin
%define	__rootgrp	root
%else
%define	__rootgrp	wheel
%endif

Summary: 2-D drawling tool
Summary(ja): 2ɥ󥰥ե

Name: tgif-QPL
%define eversion 4.1.44
Version: %{eversion}
Release: 1a
Source0: ftp://bourbon.cs.umd.edu/pub/tgif/%{name}-%{eversion}.tar.gz
%define jadir tgif-4.1ja5
Source1: %{jadir}.tar.gz
Source2: tgif-4.1.40.ja.po
Patch1: tgif-4.1.39-fontcheck.patch
Patch3: tgif-4.1.35-overthespot_fix.patch
Patch4: tgif-4.1.44-fontpath.patch
URL: http://bourbon.cs.umd.edu:8001/tgif/
License: QPL
Group: Applications/Multimedia
Buildroot: %{_tmppath}/%{name}-root

%description
tgif  -  Xlib based interactive 2-D drawing facility under
X11.  Supports hierarchical construction of  drawings  and
easy  navigation  between  sets  of drawings.  It's also a
hyper-graphics (or hyper-structured-graphics)  browser  on
the World-Wide-Web.

%description -l ja
X ưɥ󥰥ե tgif Ǥ. EPS, PostScript, X11 bitmap 
ǽϤǤޤ. kinput2  xwnmo ȤܸϤ뤳Ȥ
Ǥޤ. 

%prep
rm -rf %{buildroot}
%setup -q -a 1 -n %{name}-%{eversion}
%patch1 -p1 -b .fontcheck
%patch3 -p1 -b .overthespot
pushd tgif-4.1ja5
%patch4 -p1 -b .fontpath
popd

rm -f po/ja/ja.po
cp %{SOURCE2} po/ja/ja.po

%build
rm -rf Tgif.tmpl
cp Tgif.tmpl-linux Tgif.tmpl
xmkmf
make MOREDEFINES="-DOVERTHESPOT -DUSE_XT_INITIALIZE -D_ENABLE_NLS \
%ifos darwin
	-D_NO_RAND48 \
%endif
	-DPRINT_CMD=\\\"lpr\\\" -DA4PAPER" \
	TGIFDIR=%{_datadir}/tgif \
%ifos darwin
	LOCALEDIR=%{_datadir}/locale \
%endif
	LOCAL_LIBRARIES="-lXmu -lXt -lX11 -lSM -lICE -lintl" tgif

(cd po
xmkmf 
make Makefile
make Makefiles
make depend
make all
)

%install
mkdir -p %{buildroot}%{_sysconfdir}/X11/app-defaults
%ifos darwin
ln -s private/etc %{buildroot}/etc
%endif
mkdir -p %{buildroot}/usr/X11R6/lib/X11
ln -s ../../../../%{_sysconfdir}/X11/app-defaults %{buildroot}/usr/X11R6/lib/X11/.

make DESTDIR=%{buildroot} TGIFDIR=%{_datadir}/tgif install
make DESTDIR=%{buildroot} install.man
rm -f %{buildroot}%{_datadir}/tgif/*.obj
install -m 644 *.obj %{buildroot}%{_datadir}/tgif

mkdir -p %{buildroot}/usr/X11R6/lib/X11/ja/app-defaults/
install -m 644 %{jadir}/C/Tgif.ad %{buildroot}/usr/X11R6/lib/X11/app-defaults/Tgif
install -m 644 %{jadir}/ja/Tgif.ad %{buildroot}/usr/X11R6/lib/X11/ja/app-defaults/Tgif

(cd po
#install -d %{buildroot}%{_datadir}/locale/ja/LC_MESSAGES
#install -m644 ja/ja.mo %{buildroot}%{_datadir}/locale/ja/LC_MESSAGES/tgif.mo
make DESTDIR=%{buildroot} SYSNLSDIR=%{_datadir}/locale install 
)

%ifnos darwin
mkdir -p %{buildroot}/etc/X11/applnk/Graphics
cat  > %{buildroot}/etc/X11/applnk/Graphics/tgif.desktop <<EOF
[Desktop Entry]
Name=Tgif
Comment=2-D drawling tool
Comment[ja]=2ɥ󥰥ե
Exec=tgif
Terminal=0
Type=Application
EOF
%else
(cd %{buildroot}
 for i in .%{_sysconfdir}/X11/app-defaults/Tgif \
       	  ./usr/X11R6/lib/X11/ja/app-defaults/Tgif \
          .%{_datadir}/tgif/tgif.Xdefaults; do
    sed -e 's;/usr/share/tgif;%{_datadir}/tgif;' \
           $i > $i.mod
    mv $i.mod $i
 done
)
%endif


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,%{__rootgrp})
%doc Copyright HISTORY README* VMS_MAKE_TGIF.COM example.tex 
%doc %{jadir}/README.jp License
%ifnos darwin
%config(missingok) %{_sysconfdir}/X11/applnk/Graphics/tgif.desktop
%endif
/usr/X11R6/bin/tgif
/usr/X11R6/man/man1/tgif.1*
/usr/X11R6/lib/X11/doc/html/tgif.1.html
%{_datadir}/tgif/
%{_datadir}/locale/*/LC_MESSAGES/tgif.mo
%{_sysconfdir}/X11/app-defaults/Tgif
/usr/X11R6/lib/X11/ja/app-defaults/Tgif

%changelog
* Wed May 25 2005 Keisuke Fujii <keisuke.fujii@kek.jp>
- 4.1.44-1a: 1st release built on MacOS X Release 10.4
- Use misc-kochi for Japanese fonts.

* Sat Jan 03 2003 Keisuke Fujii <keisuke.fujii@kek.jp>
- 4.1.40-1c: 1st release built on MacOS X Release 10.3

* Thu Oct 11 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 4.1.40-1b: 1st release built on MacOS X Release 10.1

* Wed Apr 25 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 4.1.40-1a: 1st release built on MacOS X Release 10.0.01

* Thu Dec  7 2000 Jun Nishii <jun@vinelinux.org>
- 4.1.40-0vl1

* Tue Oct  3 2000 Jun Nishii <jun@vinelinux.org>
- 4.1.39-0vl2
- added documents

* Sun Sep 10 2000 Jun Nishii <jun@vinelinux.org>
- 4.1.39-0vl1

* Thu Aug 17 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- added overthespot_fix patch for XIM with OverTheSpot style.

* Fri Aug 11 2000 Jun Nishii <jun@vinelinux.org>
- 4.1.36-0vl1

* Mon Aug  7 2000 Jun Nishii <jun@vinelinux.org>
- 4.1.35-0vl1

* Sat Jul 15 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 4.1.34-0vl2
- modified %files section to handle compressed man page

* Mon May  8 2000 Jun Nishii <jun@vinelinux.org>
- updated 4.0.33

* Thu Apr 20 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated 4.0.29
- modified fontcheck patch to check signgle byte font, too.

* Thu Mar  9 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated 4.0.28

* Mon Feb 28 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated 4.0.27

* Thu Feb 24 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- added tgif wmconfig, desktop file

* Fri Feb 18 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- added xim unofficial patch from fj.sources to fix a bug about XIM.

* Wed Feb 16 2000 Jun Nishii <jun@vinelinux.org>
- 4.1.26-0vl3
- bug fix in tgif-4.1.26-fontcheck.patch 

* Mon Feb 14 2000 Jun Nishii <jun@vinelinux.org>
- 4.1.26-0vl2
- merge tgif-4.1.26-fontcheck.patch by Mr. Yasuyuki Furukawa 
  which obsoletes trigger for Dynafonts and TrueTypeFonts !

* Thu Jan 20 2000 Jun Nishii <jun@vinelinux.org>
- 4.1.26-0vl2
- added trigger for Dynafonts and TrueTypeFonts

* Thu Jan 20 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to 4.1.26
- change ja resource from ja_JP.ujis/app-defaults to ja/app-defaults
- modified font setting

* Wed Nov 17 1999 Jun Nishii <jun@flatout.org>
- updated to 4.1.25

* Thu Nov 4 1999 Jun Nishii <jun@flatout.org>
- updated to 4.1.23

* Thu Oct 28 1999 Jun Nishii <jun@flatout.org>
- rel.4
- update ja.po
- more gettextize in choice.c and menu.c

* Wed Oct 27 1999 Jun Nishii <jun@flatout.org>
- rel.3 
- merge messages in strtbl.c and added japanese catalog

* Tue Oct 26 1999 Jun Nishii <jun@flatout.org>
- rel.2
- enable nls in status buffer and added japanese catalog

* Tue Oct 26 1999 Jun Nishii <jun@flatout.org>
- updated to 4.1.22

* Sun Aug 8 1999 Norihito Ohmori <ohmori@flatout.org>
- archive format change to bzip2
- rebuild for glibc-2.1.x

* Wed Jun 30 1999 Jun Nishii <jun@flatout.org>
- updated to 4.1.16

* Tue Apr 15 1999 Jun Nishii <jun@flatout.org>
- updated to 4.1.7

* Tue Apr 8 1999 Jun Nishii <jun@flatout.org>
- updated to 4.1.6
- Our menufontset-nls patch and xim patch were merged in original source!

* Tue Mar  9 1999 MATSUMOTO Shoji <vine@flatout.org>
- vertical font indicator bug fix
- modify resource and tgif.sh

* Mon Mar 8 1999 Jun Nishii <jun@flatout.org>
- updated to 4.1

* Mon Mar 8 1999 Jun Nishii <jun@flatout.org>
- bug fix in showing shortcut key in menu
- modify document

* Wed Mar  4 1999 MATSUMOTO Shoji <vine@flatout.org>
- set Tgif.InitialFont Ryumin

* Wed Mar  3 1999 MATSUMOTO Shoji <vine@flatout.org>
- add XIM OverTheSpot patch
- modify Tgif-ja.ad

* Mon Mar 2 1999 Jun Nishii <jun@flatout.org>
- updated to 4.0.18

* Mon Mar 1 1999 Jun Nishii <jun@flatout.org>
- make patch to support fontset and nls
- change version name as 4.0.17_jp 

* Sat Feb 27 1999 Jun Nishii <jun@flatout.org>
- modify Tgif-ja.ad (use A4,cm,color-icon,etc...)
- correct document

* Wed Feb 24 1999 Jun Nishii <jun@flatout.org>
- updated to ver. 4.0.17 
- make wrapper to read Tgif-ja

* Sat Feb 20 1999 Jun Nishii <jun@flatout.org>
- updated to ver. 4.0.16

* Tue Feb 16 1999 Jun Nishii <jun@flatout.org>
- build ver. 4.0.14 for Vine Linux
